Subject: Re: Bash - bind Alt-Arrow keys
From: [email-masked] (Lars Munch)
To: Scott Goldstein <[email-masked]>
Cc: [email-masked]
Date: Fri, 15 Mar 2002 13:46:22 +0100

On Thu, Mar 14, 2002 at 02:02:04PM -0800, Scott Goldstein wrote:
> I want to bind \M-right and \M-left to forward-word
> and backward-word respectively in bash.
> 
> I've tried the following in my .inputrc file:
> 
> # forward word
> bind '"\M-\e[C":forward-word'
> 
> # backward word
> bind '"\M-\e[D":backward-word'
> 
> It seems to work, but have some strange side affects. 
> Specifically, the 'b' key no longer works.  
> 
> Any ideas?

I have never been able to make this work, so I ended up doing:

"^[[5~": backward-word 
"^[[6~": forward-word  

That is, binding "page up" and "page down" keys to this. As a result I'm
constantly pressing "page up" and "page down" in emacs, when I'm not
supposed to :-(.

I also bind'ed:

"^[[4~": end-of-line

My "end" key, but this do not work in rxvt on cygwin, but fine in rxvt
on Linux. It just produces a '~'?? I have set the TERM=rxvt.

Regards
Lars Munch

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/